Bug 107274 - FILEOPEN: from bookmark, which has fill-in as content, this is removed
Summary: FILEOPEN: from bookmark, which has fill-in as content, this is removed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2017-04-19 15:21 UTC by Regina Henschel
Modified: 2019-06-19 22:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example with bookmark with fill-in field (13.65 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-04-19 15:21 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-04-19 15:21:38 UTC
Created attachment 132690 [details]
Example with bookmark with fill-in field

Open attached docx document in Word. It has in the first line a bookmark (you will notice the [], if you have enabled that view in Word). The content of the bookmark is a FILLIN-field. Set the cursor into the bookmark area and press F9 to enter new content. This is used to get a 'variable' in Word, which can later be used in references and conditional text. The example document has only a REF field to verify the content of the bookmark.

Open the file in LibreOffice. Notice, that the bookmark itself still exists (use Navigator), but it has no content in the first line and after updating the field, you see, that the reference becomes empty too.
Comment 1 Xisco Faulí 2017-04-19 18:07:21 UTC
Confirmed in

Version: 5.4.0.0.alpha0+
Build ID: 7635e0c1c7f821a1081f8e3868f641ae74a172d6
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 QA Administrators 2018-04-20 02:34:14 UTC Comment hidden (obsolete)
Comment 3 Regina Henschel 2018-04-20 12:55:13 UTC
The error still exists in Version: 6.0.1.1 (x64)
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL

and in Version: 6.1.0.0.alpha0+ (x64)
Build ID: 8b34efff7a7ed13553dfe87cd2413d01c76dec1d
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL
Comment 4 QA Administrators 2019-04-21 02:52:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug